List Members

This endpoint retrieves a detailed list of members. The endpoint supports filtering and sorting based on various criteria.

A member is an active user (employee, contractor, downstream IT, etc.) within the MSP, enriched with details including their roles, access to ScalePad products, and other associated employee attributes.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Query Params
string
^(eq|in):.+$

Filters records by using a query string on the field id.

Supports comparison operators: eq, in.

Query examples:

  • filter[id]=example_value - to filter for exact match.

  • filter[id]=eq:example_value - to filter for exact match.

  • filter[id]=in:example_value_1,example_value_2,example_value_3 - to filter when any item in the list matches.

string
^(gt|gte|lt|lte):.+$

Filters records by using a query string on the field hired_at.

Supports comparison operators: gt, gte, lt, lte.

Query examples:

  • filter[hired_at]=gt:2023-01-01T00:00:00Z - to filter for dates after

  • filter[hired_at]=gte:2023-01-01T00:00:00Z - to filter for dates after or on

  • filter[hired_at]=lt:2023-01-01T00:00:00Z - to filter for dates before

  • filter[hired_at]=lte:2023-01-01T00:00:00Z - to filter for dates before or on

string
^(cont|eq|in):.+$

Filters records by using a query string on the field title.

Supports comparison operators: eq, in, cont.

Query examples:

  • filter[title]=example_value - to filter for exact match.

  • filter[title]=eq:example_value - to filter for exact match.

  • filter[title]=in:example_value_1,example_value_2,example_value_3 - to filter when any item in the list matches.

  • filter[title]=cont:word - to filter using a partial match.

string
^(eq):.+$

Filters records by using a query string on the field is_scalepad_user.

Supports comparison operators: eq.

Query examples:

  • filter[is_scalepad_user]=true - to filter for exact match.

  • filter[is_scalepad_user]=eq:true - to filter for exact match.

string
^(eq|in):.+$

Filters records by using a query string on the field reports_to_member.id.

Supports comparison operators: eq, in.

Query examples:

  • filter[reports_to_member.id]=example_value - to filter for exact match.

  • filter[reports_to_member.id]=eq:example_value - to filter for exact match.

  • filter[reports_to_member.id]=in:example_value_1,example_value_2,example_value_3 - to filter when any item in the list matches.

string
^(eq|gt|gte|lt|lte):.+$

Filters records by using a query string on the field hourly_cost.amount.

Supports comparison operators: eq, gt, gte, lt, lte.

Query examples:

  • filter[hourly_cost.amount]=42.5 - to filter for exact match.

  • filter[hourly_cost.amount]=eq:42.5 - to filter for exact match.

  • filter[hourly_cost.amount]=gt:42 - to filter for greater than

  • filter[hourly_cost.amount]=gte:42 - to filter for greater than or equal to

  • filter[hourly_cost.amount]=lt:42 - to filter for less than

  • filter[hourly_cost.amount]=lte:42 - to filter for less than or equal to

string
^(eq|gt|gte|lt|lte):.+$

Filters records by using a query string on the field daily_capacity.

Supports comparison operators: eq, gt, gte, lt, lte.

Query examples:

  • filter[daily_capacity]=42 - to filter for exact match.

  • filter[daily_capacity]=eq:42 - to filter for exact match.

  • filter[daily_capacity]=gt:42 - to filter for greater than

  • filter[daily_capacity]=gte:42 - to filter for greater than or equal to

  • filter[daily_capacity]=lt:42 - to filter for less than

  • filter[daily_capacity]=lte:42 - to filter for less than or equal to

string
^(eq|in):.+$

Filters records by using a query string on the field record_lineage.source_record_id.

Supports comparison operators: eq, in.

Query examples:

  • filter[record_lineage.source_record_id]=example_value - to filter for exact match.

  • filter[record_lineage.source_record_id]=eq:example_value - to filter for exact match.

  • filter[record_lineage.source_record_id]=in:example_value_1,example_value_2,example_value_3 - to filter when any item in the list matches.

string
^(eq|in):.+$

Filters records by using a query string on the field record_lineage.integration_configuration.id.

Supports comparison operators: eq, in.

Query examples:

  • filter[record_lineage.integration_configuration.id]=example_value - to filter for exact match.

  • filter[record_lineage.integration_configuration.id]=eq:example_value - to filter for exact match.

  • filter[record_lineage.integration_configuration.id]=in:example_value_1,example_value_2,example_value_3 - to filter when any item in the list matches.

string
^(eq|in):.+$

Filters records by using a query string on the field record_lineage.integration_configuration.vendor.id.

Supports comparison operators: eq, in.

Query examples:

  • filter[record_lineage.integration_configuration.vendor.id]=example_value - to filter for exact match.

  • filter[record_lineage.integration_configuration.vendor.id]=eq:example_value - to filter for exact match.

  • filter[record_lineage.integration_configuration.vendor.id]=in:example_value_1,example_value_2,example_value_3 - to filter when any item in the list matches.

string
^(eq|in):.+$

Filters records by using a query string on the field record_lineage.integration_configuration.vendor.brand_name.

Supports comparison operators: eq, in.

Query examples:

  • filter[record_lineage.integration_configuration.vendor.brand_name]=example_value - to filter for exact match.

  • filter[record_lineage.integration_configuration.vendor.brand_name]=eq:example_value - to filter for exact match.

  • filter[record_lineage.integration_configuration.vendor.brand_name]=in:example_value_1,example_value_2,example_value_3 - to filter when any item in the list matches.

string
^(gt|gte|lt|lte):.+$

Filters records by using a query string on the field record_created_at.

Supports comparison operators: gt, gte, lt, lte.

Query examples:

  • filter[record_created_at]=gt:2023-01-01T00:00:00Z - to filter for dates after

  • filter[record_created_at]=gte:2023-01-01T00:00:00Z - to filter for dates after or on

  • filter[record_created_at]=lt:2023-01-01T00:00:00Z - to filter for dates before

  • filter[record_created_at]=lte:2023-01-01T00:00:00Z - to filter for dates before or on

string
^(gt|gte|lt|lte):.+$

Filters records by using a query string on the field record_updated_at.

Supports comparison operators: gt, gte, lt, lte.

Query examples:

  • filter[record_updated_at]=gt:2023-01-01T00:00:00Z - to filter for dates after

  • filter[record_updated_at]=gte:2023-01-01T00:00:00Z - to filter for dates after or on

  • filter[record_updated_at]=lt:2023-01-01T00:00:00Z - to filter for dates before

  • filter[record_updated_at]=lte:2023-01-01T00:00:00Z - to filter for dates before or on

string
^[+-]?(hired_at|title|is_scalepad_user|hourly_cost\.amount|daily_capacity|record_created_at|record_updated_at)(,[+-]?(hired_at|title|is_scalepad_user|hourly_cost\.amount|daily_capacity|record_created_at|record_updated_at))*$

One or more sortable fields, separated by commas. Prefix with '+' to sort ascending or '-' to sort descending.

Sortable fields: hired_at, title, is_scalepad_user, hourly_cost.amount, daily_capacity, record_created_at, record_updated_at.

int32
1 to 200

The number of records to be returned in a single page

string

The pointer used to fetch a certain page of records

Body Params

Body-only filter fields (PII):

  • contact_info.email
  • contact_info.phone
  • name.full
  • reports_to_member.email

These fields cannot be supplied as query parameters (filter[...]). Provide them under the request body filter dictionary instead.

Body filter value format:

  • Each entry under filter is: "<field>": "<operator>:<value>"

Quoting / escaping (strings):

  • If a value contains spaces or commas, wrap it in quotes: eq:\"John Smith\"
  • If a value itself contains quotes, escape them: eq:\"Acme \\\"Corp\\\"\"

Examples:

  • contact_info.email

    • Supports comparison operators: eq, in.
    • Examples:
      • { "filter": { "contact_info.email": "eq:example_value" } }
      • { "filter": { "contact_info.email": "in:example_value_1,example_value_2,example_value_3" } }
  • contact_info.phone

    • Supports comparison operators: eq, in.
    • Examples:
      • { "filter": { "contact_info.phone": "eq:example_value" } }
      • { "filter": { "contact_info.phone": "in:example_value_1,example_value_2,example_value_3" } }
  • name.full

    • Supports comparison operators: eq, in, cont.
    • Examples:
      • { "filter": { "name.full": "eq:example_value" } }
      • { "filter": { "name.full": "in:example_value_1,example_value_2,example_value_3" } }
      • { "filter": { "name.full": "cont:word" } }
  • reports_to_member.email

    • Supports comparison operators: eq, in.
    • Examples:
      • { "filter": { "reports_to_member.email": "eq:example_value" } }
      • { "filter": { "reports_to_member.email": "in:example_value_1,example_value_2,example_value_3" } }
filter
object
Headers
string
enum
Defaults to application/json

Generated from available request content types

Allowed:
Responses

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json